ON(1C)

NAME
on - execute a command on a remote system, but with the local environment

SYNOPSIS
on [ -i ] [ -d ] [ -n ] host command [ argument ] ...

DESCRIPTION

The on program is used to execute commands on another system, in an environment similar to that invoking the program. All environment variables are passed, and the current working directory is preserved. To preserve the working directory, the working file system must be either already mounted on the host or be exported to it. Relative path names will only work if they are within the current file system; absolute path names may cause problems.

The standard input is connected to the standard input of the remote command, and the standard output and the standard error from the remote command are sent to the corresponding files for the on command.

OPTIONS

-i  Interactive mode. Use remote echoing and special character processing. This option is needed for programs that expect to be talking to a terminal. All terminal modes and window size changes are propagated.

-d  Debug mode. Print out some messages as work is being done.

-n  No Input. This option causes the remote program to get EOF when it reads from the standard input, instead of passing the standard input from the standard input of the on program. For example, -n is necessary when running commands in the background with job control.

SEE ALSO
chkey(1), publickey(5), exports(5), rexd(8C)

DIAGNOSTICS

unknown host
    Host name not found.

cannot connect to server
    Host down or not running the server.

can't find
    Problem finding the working directory.

can't locate mount point
    Problem finding current file system. RPC: Authentication error The server requires des authentication and you do not have a secret key registered with keyserv. Perhaps you logged in without a password. Try to keylogin. If that fails try to set your publickey with chkey.

Other error messages may be passed back from the server.

BUGS

The SunView window system can get confused by the environment variables.

When the working directory is remote mounted over NFS, a ^Z hangs the window.

Root cannot use on.